import request from '@/utils/request'

// 查询护理站部门信息列表
export function listStationDepartment(query) {
    return request({
        url: '/system/StationDepartment/list',
        method: 'get',
        params: query
    })
}

// 查询护理站部门信息详细
export function getStationDepartment(id) {
    return request({
        url: '/system/StationDepartment/' + id,
        method: 'get'
    })
}

// 新增护理站部门信息
export function addStationDepartment(data) {
    return request({
        url: '/system/StationDepartment/add',
        method: 'post',
        data: data
    })
}

// 修改护理站部门信息
export function updateStationDepartment(data) {
    return request({
        url: '/system/StationDepartment/edit',
        method: 'post',
        data: data
    })
}

// 删除护理站部门信息
export function delStationDepartment(id) {
    return request({
        url: '/system/StationDepartment/' + id,
        method: 'delete'
    })
}

// 护理站
export function list (query) {
    return request({
        url: '/system/station/list',
        method: 'get',
        params: query

    })
}
